Package com.xebialabs.xlrelease.domain.events

# Class ActivityLogEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ActivityLogEvent

All Implemented Interfaces:
  `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ActivityLogEvent extends Object implements XLReleaseEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityLogEvent(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `activityType()`
  `static ActivityLogEvent`
  `apply(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)`
  `boolean`
  `canEqual(Object x$1)`
  `ActivityLogEvent`
  `copy(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `Date`
  `copy$default$5()`
  `String`
  `copy$default$6()`
  `String`
  `copy$default$7()`
  `boolean`
  `equals(Object x$1)`
  `Date`
  `eventTime()`
  `int`
  `hashCode()`
  `String`
  `id()`
  `String`
  `message()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `releaseId()`
  `String`
  `targetId()`
  `String`
  `targetType()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple7<String,String,String,String,Date,String,String>>`
  `unapply(ActivityLogEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ActivityLogEvent

    public ActivityLogEvent(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)

- ## Method Details

  - ### apply

    public static ActivityLogEvent apply(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)

  - ### unapply

    public static scala.Option<scala.Tuple7<String,String,String,String,Date,String,String>> unapply(ActivityLogEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### releaseId

    public String releaseId()

  - ### id

    public String id()

  - ### activityType

    public String activityType()

  - ### message

    public String message()

  - ### eventTime

    public Date eventTime()

  - ### targetType

    public String targetType()

  - ### targetId

    public String targetId()

  - ### copy

    public ActivityLogEvent copy(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public Date copy$default$5()

  - ### copy$default$6

    public String copy$default$6()

  - ### copy$default$7

    public String copy$default$7()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`